import os
import kaute

from backend import Backend
from settings import SETTINGS

def main():
	BASE_DIR = SETTINGS['BASE_DIR']
	app = kaute.AppGUI(title=SETTINGS['app_name'],
		maximized=SETTINGS['maximized'],
		developer_mode=SETTINGS['debug'])
	app.static_path = os.path.join(BASE_DIR, 'static/')
	app.template_path = os.path.join(BASE_DIR, 'templates/')
	app.bind(Backend(app=app))
	app.template = ('index.html', {})
	app.start()

if __name__ == '__main__':
	main()